package com.lantone.util;

import com.lantone.common.service.DictSetsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: 用户工具类
 * @author: gaodm
 * @time: 2018/8/3 17:46
 */
@Component
public class SysUserUtils {

    @Autowired
    private DictSetsService dictSetsService;

    /**
     * 获取当前请求的用户ID
     *
     * @return
     */
    public static String getCurrentPrincipleID() {
        return "110";
    }

    /**
     * 获取当前请求用户的医院ID
     *
     * @return
     */
    public String getCurrentHospitalID() {
        return dictSetsService.getOneDicMap("0", "53").get(com.lantone.common.util.SysUserUtils.getCurrentHospitalIdStr());
    }

}